/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet.machine.tree;

import java.util.ArrayList;
import java.util.List;
import nl.cloudfarming.client.fleet.model.Machine;
import nl.cloudfarming.client.fleet.model.Vehicle;
import org.openide.filesystems.*;
import org.openide.loaders.DataObject;
import org.openide.loaders.DataObjectNotFoundException;
import org.openide.nodes.ChildFactory;
import org.openide.nodes.FilterNode;
import org.openide.nodes.Node;
import org.openide.util.Lookup;
import org.openide.util.lookup.Lookups;
import org.openide.util.lookup.ProxyLookup;

/**
 * FilterNode.Children extention class which filters children on
 * presence of a Class<? extends Machine> machineClass in their lookup
 * 
 * @author Timon Veenstra <monezz@gmail.com>
 */
public class MachineCategoryChildren extends FilterNode.Children {

    private final Class<? extends Machine> machineClass;
    
    public MachineCategoryChildren(Node node, Class<? extends Machine> machineClass) {
        super(node);
        this.machineClass = machineClass;
    }

        @Override
    protected Node[] createNodes(Node object) {
        List<Node> result = new ArrayList<>();

        for (Node node : super.createNodes(object)) {
            if (accept(node)) {
                result.add(node);
            }
        }
        return result.toArray(new Node[0]);
    }

    private boolean accept(Node node) {
//        return node.getLookup().lookup(machineClass) != null;
        return true;
    }
}
