/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet.machine.windows;

import javax.swing.SwingUtilities;
import javax.swing.table.TableModel;
import org.openide.util.NbBundle;

/**
 *
 * @author Wytse Visser
 */
@NbBundle.Messages({
    "CTL_OverviewAction=Overview",
    "CTL_OverviewTopComponent=Overview",
    "HINT_OverviewTopComponent=This is a machine overview",
    "noImageLabel=No image available"
})
public class OverviewPanel extends javax.swing.JPanel {

    /**
     * Creates new form OverviewPanel
     */
    public OverviewPanel() {
        initComponents();
        SwingUtilities.invokeLater(new Runnable() {

            @Override
            public void run() {
                setName(Bundle.CTL_OverviewTopComponent());
                setToolTipText(Bundle.HINT_OverviewTopComponent());
            }
        });
    }

    public void setPropertyListModel(TableModel tableModel) {
        propertyTable.setModel(tableModel);
    }


    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        propertyScrollPane = new javax.swing.JScrollPane();
        propertyTable = new javax.swing.JTable();

        propertyTable.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(128, 128, 128)));
        propertyScrollPane.setBorder(null);
        propertyScrollPane.setViewportBorder(null);
        propertyTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {"Name", null},
                {"Type", null},
                {"Brand", null},
                {"Model number", null}
            },
            new String [] {
                "Property", "Value"
            }
        ));
        propertyScrollPane.setViewportView(propertyTable);
        propertyTable.getColumnModel().getColumn(0).setHeaderValue(org.openide.util.NbBundle.getMessage(OverviewPanel.class, "OverviewPanel.propertyTable.columnModel.title0")); // NOI18N
        propertyTable.getColumnModel().getColumn(1).setHeaderValue(org.openide.util.NbBundle.getMessage(OverviewPanel.class, "OverviewPanel.propertyTable.columnModel.title1")); // NOI18N

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(propertyScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 462, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(propertyScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 290, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JScrollPane propertyScrollPane;
    private javax.swing.JTable propertyTable;
    // End of variables declaration//GEN-END:variables
}
